Bug 178969 - hang on heavy syslog activity
hang on heavy syslog activity
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-25 15:53 EST by p thompson
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 18:39:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description p thompson 2006-01-25 15:53:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
Systems logs extensively from an external firewall.
The system will hang unpredictably.  Often it appears to be about the time logwatch rotates the syslogs.
Other symptoms include slow response of less -n /var/log/messages but nothing odd appears in strace of the less process.


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1656_FC4 sysklogd-1.4.1-30

How reproducible:
Sometimes

Steps to Reproduce:
1. heavy syslog activity
2.
3.
  

Additional info:

slabtop sort % use
 Active / Total Objects (% used)    : 83340 / 97192 (85.7%)
 Active / Total Slabs (% used)      : 3617 / 3617 (100.0%)
 Active / Total Caches (% used)     : 87 / 123 (70.7%)
 Active / Total Size (% used)       : 11547.82K / 14230.57K (81.1%)
 Minimum / Average / Maximum Object : 0.01K / 0.15K / 128.00K

  OBJS ACTIVE  USE OBJ SIZE  SLABS OBJ/SLAB CACHE SIZE NAME
   150    150 100%    0.12K      5       30        20K kmem_cache
   195    195 100%    0.25K     13       15        52K size-256
   184    184 100%    1.00K     46        4       184K size-1024
   232    232 100%    2.00K    116        2       464K size-2048
   229    229 100%    4.00K    229        1       916K size-4096
     1      1 100%    8.00K      1        1         8K size-8192
     1      1 100%   16.00K      1        1        16K size-16384
     1      1 100%   32.00K      1        1        32K size-32768
     1      1 100%   64.00K      1        1        64K size-65536
    77     77 100%    4.00K     77        1       308K pgd
    22     22 100%    4.00K     22        1        88K names_cache
    26     26 100%    0.14K      1       26         4K sigqueue
    11     11 100%    0.34K      1       11         4K skbuff_fclone_cache
    84     84 100%    0.50K     12        7        48K sock_inode_cache
   260    260 100%    3.00K    130        2      1040K biovec-(256)
    14     14 100%    0.56K      2        7         8K UDP
    24     24 100%    0.16K      1       24         4K arp_cache
    49     49 100%    0.50K      7        7        28K UNIX
    60     60 100%    0.12K      2       30         8K sgpool-8
    32     32 100%    0.50K      4        8        16K sgpool-32
    32     32 100%    1.00K      8        4        32K sgpool-64
    32     32 100%    2.00K     16        2        64K sgpool-128
    22     22 100%    0.34K      2       11         8K scsi_cmd_cache
     8      8 100%    2.00K      4        2        16K rpc_buffers
   265    264  99%    1.50K     53        5       424K biovec-128
   434    432  99%    0.53K     62        7       248K shmem_inode_cache
  3277   3224  98%    0.03K     29      113       116K size-32
   275    272  98%    0.75K     55        5       220K biovec-64
  4664   4544  97%    0.09K    106       44       424K vm_area_struct
Comment 1 Dave Jones 2006-02-03 00:18:36 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 p thompson 2006-02-04 17:12:58 EST
Updated to the new version, will note any changes when I know them.
Comment 3 p thompson 2006-02-13 11:48:54 EST
Continues to hang on 2.6.15-1.1830_FC4
Now loading 2.6.15-1.1831_FC4
Comment 4 Dave Jones 2006-09-16 21:48:19 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Dave Jones 2006-10-16 13:48:38 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 p thompson 2006-10-30 08:18:26 EST
This seems to have been corrected.

Note You need to log in before you can comment on or make changes to this bug.